.BrandHeader {
    &-top {
        display: flex;
        margin-top: 32px;
        margin-bottom: 24px;

        @include after-mobile {
            margin-top: -40px;
            margin-bottom: 20px;
        }

        &.BrandHeader-top_withoutBanner {
            @include after-mobile {
                margin-top: 0;
            }

            .BrandHeader-title {
                margin-top: 32px;
            }
        }
    }

    &-image {
        display: flex;
        width: calc(100% + 2rem);
        margin: 0 calc(0px - 1rem);
        position: relative;
        flex-wrap: wrap;
        align-items: center;

        @media (min-width: 768px) {
            width: calc(100% + var(--content-wrapper-padding) * 3);
            margin: 0 calc(0px - var(--content-wrapper-padding));
        }

        .lazyload-wrapper {
            width: 100%;

            .Image {
                height: auto;
                padding-bottom: 0;

                img {
                    height: auto !important;
                    position: static;
                }
            }
        }
    }

    &-logo-empty {
        width: 100%;
        min-height: 50px;
    }

    &-logo {
        padding: 39px 87px;
        position: relative;
        left: 50%;
        transform: translate(-50%, -56px);
        background-color: white;

        @include mobile {
            display: none;
        }

        img {
            width: auto;
        }
    }

    &-DetailsWrapper {
        display: flex;
        font-family: $font-work-sans;
        font-size: 14px;
        font-weight: 500;
        line-height: 20px;

        p {
            margin-left: 20px;
            align-self: flex-end;
        }
    }

    &-title {
        h1 {
            font-family: $font-work-sans;
            font-size: 40px;
            font-weight: normal;
            line-height: 40px;
        }
    }

    &-description {
        margin-bottom: 60px;
    }

    &-description,
    &-description > * {
        font-family: $font-work-sans;
        font-size: 14px;
        font-weight: normal;
        line-height: 20px;
    }

    .NewProductsCarousel {
        &-Section {
            padding: 40px 0;

            @include mobile {
                padding: 20px 0;
                margin-bottom: 0;
            }
        }

        &-Carousel {
            padding: 0;
        }
    }
}

.prm .BrandHeader {
    &-image {
        max-width: var(--wide-content-wrapper-width);
        @include mobile {
            margin: 0 -14px;
        }

        @include tablet {
            margin: 0 -45px;
        }

        @media (min-width: 1440px) {
            width: var(--wide-content-wrapper-width);
            margin: 0 -97px;
        }
    }
}

.GenderButtons {
    &-Wrapper {
        padding-right: 40px;

        @include desktop {
            width: 100%;
        }

        @include tablet {
            padding-right: 25px;
        }

        @include mobile {
            padding-right: 12px;
        }

        &:last-of-type {
            padding-right: 0;
        }
    }

    &-Container {
        display: flex;
        padding: 40px 0;
        justify-content: space-between;
        scrollbar-width: none;
        overflow-y: auto;

        @include tablet {
            margin-right: 0;
        }

        @include mobile {
            padding: 20px 0;
        }
    }

    &-Button {
        display: flex;
        width: 256px;
        min-width: 256px;
        max-width: 100%;
        border: 1px solid #000;
        align-items: center;
        justify-content: space-between;

        @include tablet {
            min-width: 350px;
        }

        @include desktop {
            width: 100%;
            min-width: 350px;
        }

        &:hover {
            text-decoration: unset;
        }

        .Image_ratio_square {
            width: 120px;
            padding-bottom: 47%;

            @include desktop {
                width: 200px;
            }
        }
    }

    &-Image {
        display: flex;

        img {
            @include mobile {
                max-width: 120px;
            }
        }
    }

    &-Title {
        display: inline-flex;
        padding: 0 15px;
        font-size: 16px;
        text-transform: uppercase;

        @include after-mobile {
            font-size: 20px;
        }
    }

    &-Icon {
        display: inline-block;
        padding: 4px;
        border: solid #141414;
        border-width: 0 2px 2px 0;
        margin-right: 25px;
        transform: rotate(-45deg);
    }
}

.DiscoverBrand {
    padding: 0;
    margin-top: 40px;
    margin-bottom: 40px;

    @include mobile {
        margin-top: 20px;
        margin-bottom: 20px;
    }

    &Title {
        color: $black;
        font-family: $font-work-sans;
        font-size: 28px;
        font-weight: normal;
        line-height: 48px;

        @include after-mobile {
            font-size: 32px;
        }
    }

    .ProductListWidget-Carousel {
        margin: 0;

        .ProductListCarousel-Arrow {
            display: block;

            @include mobile {
                width: 32px;
                height: 32px;
                top: 50%;
            }

            @include tablet {
                width: 48px;
                height: 48px;
                top: 50%;
            }

            &::before {
                display: inline-block;
                width: 0;
                height: 0;
                padding: 8px;
                border: solid #292929;
                border-width: 0 1px 1px 0;
                position: absolute;
                top: calc(50% - 8px);
                transform: rotate(-45deg);
                content: '';

                @include mobile {
                    padding: 4px;
                    top: calc(50% - 4px);
                }

                @include mobile {
                    padding: 6px;
                    top: calc(50% - 6px);
                }
            }

            &_left {
                &::before {
                    transform: rotate(135deg);
                }
            }
        }
    }

    &-Cols {
        display: flex;
        margin: 0 -14px;
        position: relative;
        flex-direction: column;
        align-items: center;

        @include after-mobile {
            margin: 0;
            flex-direction: row;
        }
    }

    &-ColLeft {
        width: 100%;
        padding: 0;

        @include after-mobile {
            max-width: 47%;
            padding-right: 16px;
            flex: 0 0 47%;
        }
    }

    &-ColRight {
        width: 100%;
        padding: 24px 14px;

        @include after-mobile {
            width: 61.5%;
            padding-right: 0;
            padding-left: 16px;
        }
    }

    &.CarouselWrapper .BlockHeading {
        margin-left: 0;
    }

    .CategoryProductList {
        &-VerticalButtonLeft,
        &-GridSwitcher {
            display: none;
        }
    }

    @include tablet {
        .ProductListCarousel-Item,
        .slick-slide {
            width: 250px;
        }
    }

    &-ButtonWrapper {
        position: absolute;
        bottom: -18%;

        @include mobile {
            display: flex;
            margin-top: 27px;
            position: static;
            justify-content: center;
        }
    }
}
